/* Відповідь 1: 
Метод об'єкту-це функція, яка прив'язана до об'єкту і виконує певні дії або операції над цим об'єктом.
Він може бути викликаний за допомогою імені об'єкту, застосовуючи синтаксис крапки (.) для доступу до методу.
Методи об'єкту дозволяють виконувати дії або операції, які пов'язані з конкретним об'єктом.
Наприклад, якщо у нас є об'єкт "автомобіль", то можна мати метод "прискорити", який збільшує швидкість автомобіля */

/* Відповідь 2:

1.strings, 2.numbers, 3.Булеві значення, 4.objects, 5.Масиви, 6.functions, 7.null, 8.undefined. */

/* Відповідь 3:
Коли змінна отримує значення посилального типу, вона насправді не містить саме значення об'єкта, але зберігає посилання на об'єкт у пам'яті.
Тобто, змінна фактично "вказує" на місце в пам'яті, де знаходиться об'єкт, а не містить його безпосередньо.
Це означає, що якщо ми маємо дві змінні, які вказують на один об'єкт, зміни, зроблені в одній змінній,
впливають і на іншу змінну, оскільки вони посилаються на одне й те саме місце в пам'яті.*/

// Задача:

function createNewUser() {
  let newUser = {};

  newUser.firstName = prompt("Введіть ім'я:");
  newUser.lastName = prompt("Введіть прізвище:");

  newUser.getLogin = function () {
    return (this.firstName.charAt(0) + this.lastName).toLowerCase();
  };

  return newUser;
}

let user = createNewUser();
console.log(user.getLogin());
